Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 1943583002: GN: forward_variables_from shouldn't clobber vars. (Closed)

Created:
4 years, 10 months ago by brettw
Modified:
4 years, 10 months ago
Reviewers:
Dirk Pranke, agrieve
CC:
chromium-reviews, Dirk Pranke, cbentzel+watch_chromium.org, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, tfarina, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, mikecase+watch_chromium.org, darin (slow to review), ben+mojo_chromium.org, jbudorick+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

GN: forward_variables_from shouldn't clobber vars. The documentation for forward_variables_from specifies that it will give an error if the variable already exists in the target scope. But this was not implemented. Instead, the value would be silently overwritten. This change implements the error, and fixes the times this happens in the Linux and Android builds. Committed: https://crrev.com/0785c950dce7221b10c21e911795e181076b90db Cr-Commit-Position: refs/heads/master@{#391136}

Patch Set 1 #

Patch Set 2 : test #

Patch Set 3 : #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+166 lines, -80 lines) Patch
M build/android/incremental_install/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M build/compiled_action.gni View 4 chunks +12 lines, -4 lines 0 comments Download
M build/config/android/internal_rules.gni View 12 chunks +34 lines, -13 lines 0 comments Download
M build/config/android/rules.gni View 1 2 13 chunks +26 lines, -11 lines 0 comments Download
M build/config/nacl/rules.gni View 1 2 4 chunks +10 lines, -9 lines 0 comments Download
M build/toolchain/gcc_toolchain.gni View 1 chunk +10 lines, -3 lines 2 comments Download
M build/toolchain/nacl_toolchain.gni View 2 chunks +7 lines, -2 lines 0 comments Download
M components/cronet/android/BUILD.gn View 11 chunks +11 lines, -11 lines 0 comments Download
M mojo/public/tools/bindings/mojom.gni View 1 chunk +1 line, -1 line 0 comments Download
M testing/test.gni View 1 chunk +0 lines, -1 line 0 comments Download
M third_party/gif_player/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M third_party/jmake/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M third_party/netty-tcnative/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M tools/gn/function_forward_variables_from.cc View 1 chunk +12 lines, -0 lines 0 comments Download
M tools/gn/function_forward_variables_from_unittest.cc View 1 1 chunk +39 lines, -21 lines 0 comments Download

Messages

Total messages: 15 (6 generated)
brettw
4 years, 10 months ago (2016-05-02 21:53:27 UTC) #2
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1943583002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1943583002/40001
4 years, 10 months ago (2016-05-02 22:21:16 UTC) #4
agrieve
lgtm with one question https://codereview.chromium.org/1943583002/diff/40001/build/toolchain/gcc_toolchain.gni File build/toolchain/gcc_toolchain.gni (right): https://codereview.chromium.org/1943583002/diff/40001/build/toolchain/gcc_toolchain.gni#newcode421 build/toolchain/gcc_toolchain.gni:421: is_clang = invoker.is_clang why did ...
4 years, 10 months ago (2016-05-03 00:14:09 UTC) #5
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
4 years, 10 months ago (2016-05-03 00:43:55 UTC) #7
brettw
https://codereview.chromium.org/1943583002/diff/40001/build/toolchain/gcc_toolchain.gni File build/toolchain/gcc_toolchain.gni (right): https://codereview.chromium.org/1943583002/diff/40001/build/toolchain/gcc_toolchain.gni#newcode421 build/toolchain/gcc_toolchain.gni:421: is_clang = invoker.is_clang On 2016/05/03 00:14:09, agrieve wrote: > ...
4 years, 10 months ago (2016-05-03 01:02:44 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1943583002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1943583002/40001
4 years, 10 months ago (2016-05-03 01:03:02 UTC) #10
commit-bot: I haz the power
Committed patchset #3 (id:40001)
4 years, 10 months ago (2016-05-03 01:06:45 UTC) #11
commit-bot: I haz the power
Patchset 3 (id:??) landed as https://crrev.com/0785c950dce7221b10c21e911795e181076b90db Cr-Commit-Position: refs/heads/master@{#391136}
4 years, 10 months ago (2016-05-03 01:09:25 UTC) #13
Dirk Pranke
4 years, 10 months ago (2016-05-03 02:42:08 UTC) #15
Message was sent while issue was closed.
lgtm also

Powered by Google App Engine
This is Rietveld 408576698